> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get detailed information about a specific Cardano block by hash or height including transactions and metadata.

# Block information



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /blocks/{hash_or_height}
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /blocks/{hash_or_height}:
    get:
      tags:
        - Blocks
      summary: Block information
      description: Returns information about the specified block
      operationId: block_info
      parameters:
        - name: hash_or_height
          in: path
          description: Block height or hex encoded block hash
          required: true
          schema:
            type: string
        - name: amounts-as-strings
          in: header
          description: Large numbers returned as strings if set to `true`
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Summary of information regarding the specified block
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedBlockInfo'
              example:
                data:
                  hash: >-
                    bdf4630098ac6923e0ef1ca0b0d6e00dca96790a8c3dd670948fdfe1456798d2
                  height: 7867166
                  absolute_slot: 73867237
                  timestamp: '2022-10-10 20:25:28'
                  epoch: 368
                  epoch_slot: 254437
                  block_producer: pool103w4na57zyunn2s7r8cgrnqgsn3tskj4w69yx3alx4sezphv53t
                  confirmations: 0
                  tx_hashes:
                    - >-
                      31a84c3c6200bec2498b18c42f882fa690cd0d32a9c84a2019eb5cc42f5971d0
                    - >-
                      a90e31b3de59452659617c351e5f746b819cb8b026bf945dd41b4cc199bcc8c9
                    - >-
                      dbe30d4f6f42342d7cbfa950bb330cd111bea525b17c2ca115fcec19f1f2e55c
                    - >-
                      836c720301e2f463fcaf3ffa746213c03616cc003a1802ddb1243e738140b109
                    - >-
                      660c2a41c5a6618db2a514fe0d84bd2570e8f2e0ed8e3ac9b810f5f8230c171d
                    - >-
                      357a18477c72d771df77736f83abba44fa826a3e36bc31bb81ca4e2f06475cc6
                    - >-
                      a79137811a11914fa6b5543871496e2efbbfd4fb63e3ef808fbbf4247a194f7f
                    - >-
                      f89ad271629e827e6722617cce03f7c966f37b9d9143ab356600f31591b902b0
                    - >-
                      ae2cc8e8bf536899acb036c7c560c5658abfdffb84a35f18e9a8cf72fb160e35
                    - >-
                      b84082a6c4fd731f2a4263d5e99f205798d4356ee5386633ef47727ba2a345fd
                    - >-
                      6dc497eb7acf460a491cff25ca22dcdad1fa42bb133262afc20c828d7003b439
                    - >-
                      ba7464e4d1c8610e3bef857ddaf7e52083291b5e30750e6bce7ebfeef07f4790
                    - >-
                      0344e44a44c644f782088ca7e1143304b20f5cd3e5a4c77748bf4efe5aea06f8
                    - >-
                      1eec3e58f7001c5b875456232e79cbfdb64e2be0e2b32c06f5c07cab38069634
                  total_fees: 4195080
                  total_ex_units:
                    mem: 7191340
                    steps: 2947856708
                  script_invocations: 3
                  size: 27430
                  previous_block: >-
                    3c1778df54aedc9e6226d31cc316a8b5b7912800f909b62f77a46ad61fa10a0c
                  total_output_lovelace: '102300616446'
                  era: vasil
                  protocol_version:
                    - 7
                    - 0
                  vrf_key: >-
                    f913889ad4f696f436dfa19803ebee2219cee59daba879ab9591c75fc8ee33e4
                  operational_certificate:
                    hot_vkey: >-
                      278c4f65bdca2498882a47eb876f023a86bc75b9307bd80ac361587f1c0fc1f1
                    sequence_number: 4
                    kes_period: 527
                    kes_signature: >-
                      39a017fbd95a909a3bcca2f368fcc26e7fab64fb09dc48c7d4a99db5bd68b6280a61fe66da3f048b237754d48cfa1c3f954895f4fe41cb71c296997b53dd6501
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    bdf4630098ac6923e0ef1ca0b0d6e00dca96790a8c3dd670948fdfe1456798d2
                  block_slot: 73867237
        '400':
          description: Malformed query parameters
        '404':
          description: No results found
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedBlockInfo:
      type: object
      description: >-
        Timestamped response. Returns the endpoint response data along with the
        chain-tip of the indexer, which details at which point in the chain's
        history the data was correct as-of.
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/BlockInfo'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    BlockInfo:
      type: object
      description: Block information
      required:
        - hash
        - height
        - absolute_slot
        - timestamp
        - epoch
        - epoch_slot
        - confirmations
        - tx_hashes
        - total_fees
        - total_ex_units
        - script_invocations
        - size
        - total_output_lovelace
        - era
        - protocol_version
      properties:
        absolute_slot:
          type: integer
          format: int64
          description: Absolute slot when block was minted
          minimum: 0
        block_producer:
          type: string
          description: Identifier of stake pool which minted the block
          nullable: true
        confirmations:
          type: integer
          format: int64
          description: Number of blocks which have been minted since the block
          minimum: 0
        epoch:
          type: integer
          format: int64
          description: Epoch in which block was minted
          minimum: 0
        epoch_slot:
          type: integer
          format: int64
          description: Epoch slot at which block was minted
          minimum: 0
        era:
          $ref: '#/components/schemas/LedgerEra'
        hash:
          type: string
          description: Block hash
        height:
          type: integer
          format: int64
          description: Block height (number)
          minimum: 0
        next_block:
          type: string
          description: Block hash of the next block
          nullable: true
        operational_certificate:
          allOf:
            - $ref: '#/components/schemas/OperationalCert'
          nullable: true
        previous_block:
          type: string
          description: Block hash of the previous block
          nullable: true
        protocol_version:
          type: array
          items:
            allOf:
              - type: integer
                format: int64
                minimum: 0
              - type: integer
                format: int64
                minimum: 0
          description: Ledger protocol version (major, minor)
        script_invocations:
          type: integer
          format: int32
          description: Number of script invocations
          minimum: 0
        size:
          type: integer
          format: int32
          description: Size of the block body in bytes
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp when the block was minted
        total_ex_units:
          $ref: '#/components/schemas/ExUnits'
        total_fees:
          $ref: '#/components/schemas/NumOrString'
        total_output_lovelace:
          type: string
          description: Total lovelace in outputs of transactions included in the block
        tx_hashes:
          type: array
          items:
            type: string
          description: Ordered transaction hashes for the transactions in the block
        vrf_key:
          type: string
          description: Null for Byron
          nullable: true
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    LedgerEra:
      type: string
      enum:
        - byron
        - shelley
        - allegra
        - mary
        - alonzo
        - vasil
        - valentine
        - conway
        - notrecognised
    OperationalCert:
      type: object
      required:
        - hot_vkey
        - sequence_number
        - kes_period
        - kes_signature
      properties:
        hot_vkey:
          type: string
        kes_period:
          type: integer
          format: int64
          minimum: 0
        kes_signature:
          type: string
        sequence_number:
          type: integer
          format: int64
          minimum: 0
    ExUnits:
      type: object
      description: Execution unit budget for executing a redeemer
      required:
        - mem
        - steps
      properties:
        mem:
          type: integer
          format: int64
          minimum: 0
        steps:
          type: integer
          format: int64
          minimum: 0
    NumOrString:
      oneOf:
        - type: integer
          format: int64
          description: Unsigned 64-bit integer
          minimum: 0
        - type: integer
          description: Unsigned 128-bit integer
          minimum: 0
        - type: integer
          format: int64
          description: Signed 64-bit integer
        - type: number
          format: double
          description: 64-bit floating point number
        - type: string
          description: String representation of an integer or number
      description: >-
        Integer or number by default, or a string representation if the
        `amounts-as-strings` header is set to `true`
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````